<%@ page language="java" import="com.medias.Context" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic" %>
<%@ taglib prefix="ether" tagdir="/WEB-INF/tags" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<HTML>
<HEAD>
    <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
    <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">

    <title><tiles:getAsString name="title"/></title>
    <link rel="shortcut icon" href="<html:rewrite page='/resources/images/megapoli/favicon.ico'/>">

    <ether:htmlCss cssFile="apycom.com-4-steel-blue/menu"/>
    <ether:htmlCss cssFile="button"/>
    <ether:htmlCss cssFile="complexButton"/>
    <ether:htmlCss cssFile="TwitterLogin/front"/>
    <ether:htmlCss cssFile="ether"/>
    <ether:htmlCss cssFile="megapoli"/>

    <ether:htmlJs jsFile="library/jquery-1.4.2.min"/>
    <ether:htmlJs jsFile="library/jquery.class"/>
    <ether:htmlJs jsFile="library/jquery.protify-0.3"/>
    <ether:htmlJs jsFile="classesForJQuery/etherHelper"/>
    <ether:htmlJs jsFile="classesForJQuery/Button"/>
    <ether:htmlJs jsFile="classesForJQuery/ComplexButton"/>
    <ether:htmlJs jsFile="classesForJQuery/LoginButton"/>
    <ether:htmlJs jsFile="classesForJQuery/Slide"/>
    <ether:htmlJs jsFile="apycom.com-4-steel-blue/menu"/>
    <ether:htmlJs jsFile="TwitterLogin/javascripts/jquery.tipsy"/>

    <ether:htmlResourceJsp jspFile="megapoliHead"/>

    <tiles:insert attribute="insertCss"/>
    <tiles:insert attribute="insertJsOrJsp"/>
</HEAD>

<BODY>
<a name="top"></a>

<bean:define id="upload" value="upload"/>
<bean:define id="access" value="access"/>

<%-- ************************************************************************************************************** --%>
<%-- *************************************************** LOGO ETHER *********************************************** --%>
<%-- ************************************************************************************************************** --%>
<div id="linkLogoEther" class="containerLinkLogoEther"></div>

<div id="logoEther" class="containerLogoEther">
    <html:link href="http://ether.ipsl.jussieu.fr" target="help"><img src="resources/images/logo_Ether.jpg" width="80px" height="80px"/></html:link>
</div>

<%-- ************************************************************************************************************** --%>
<%-- **************************************************** WRAPPER ************************************************* --%>
<%-- ************************************************************************************************************** --%>
<div class="pageWrapper">

    <%-- ****************** TITLE & TOOLS ****************** --%>
    <div id="title_tools" class="containerMegapoli">
        <div id="title"></div>

        <div id="tools" align="right">
            <div id="loginModule" align="right"></div>
        </div>

    </div>

    <%-- ****************** LOGO ****************** --%>
    <div id="logo" class="containerLogo">
        <html:link href="http://megapoli.dmi.dk/" target="help" titleKey="app.linkmegapoli">
            <html:img page="/resources/images/logo_Megapoli_white.png" height="110px" width="110px" altKey="app.home"/>
        </html:link>
    </div>

    <%-- ****************** NAV ****************** --%>
    <div id="nav" class="containerNav"><tiles:insert attribute="nav"/></div>

    <%-- ****************** MENU ****************** --%>
    <div id="menu" class="containerMenu">
        <ul class="menu">
            <li>
                <html:link page="/data?methodName=viewCatalogResume" paramName="access" paramId="source">
                    <span><bean:message key="data.access"/></span>
                </html:link>
                <div>
                    <ul>
                        <li><html:link page="/JeuxAccess.do"><span><bean:message key="data.access.jeux"/></span></html:link></li>
                        <li><html:link page="/ParametresAccess.do"><span><bean:message key="data.access.param"/></span></html:link></li>
                        <li><html:link page="/CapteursAccess.do"><span><bean:message key="data.access.capt"/></span></html:link></li>
                        <li><html:link page="/PlateformesAccess.do"><span><bean:message key="data.access.plat"/></span></html:link></li>
                    </ul>
                </div>
            </li>

            <li>
                <html:link page="/data?methodName=viewDataResume" paramName="access" paramId="source">
                    <span><bean:message key="app.data"/></span>
                </html:link>
                <div id="menuData"></div>
            </li>

            <li class="last">
                <html:link page="/visualization?methodName=view"><span><bean:message key="all.visualization"/></span></html:link>
                <div>
                    <ul>
                        <li><html:link page="/visualization?methodName=viewParametersByPlateform"><span><bean:message key="data.visualization"/></span></html:link></li>
                        <li><html:link page="/visualization?methodName=viewInWork"><span><bean:message key="simulation.visualization"/></span></html:link></li>
                    </ul>
                </div>
            </li>

        </ul>
    </div>

    <%-- ****************** TITLE CONTENT ****************** --%>
    <div id="titleContent" class="containerTitleContent"><tiles:insert attribute="bodytitle"/>
        <div id="titleContentBorder" class="containerTitleContentBorder"></div>
    </div>

    <%-- ****************** CONTENT ****************** --%>
    <div id="containerCenter" class="containerMegapoli containerCenter">
        <tiles:insert attribute="body"/>
    </div>

    <%-- ****************** BOTTOM ****************** --%>
    <div id="containerBottom" class="containerMegapoli containerBottom" align="right">
        &copy; 2010-2011 <html:link href="http://ether.ipsl.jussieu.fr" target="help">ETHER&nbsp;</html:link>/ CNRS
    </div>

</div>

<%-- ************************************************************************************************************** --%>
<%-- **************************************************** SLIDES ************************************************** --%>
<%-- ************************************************************************************************************** --%>
<div id="creditSlide" class="containerSlide"></div>
<div id="mentionSlide" class="containerSlide"></div>
<div id="infoSlide" class="containerSlide"></div>

<script type="text/javascript">
    var templateTexts = $A( "" );
    templateTexts["app.home"] = '<bean:message key="app.home"/>';
    templateTexts["app.fulltitle"] = '<bean:message key="app.fulltitle"/>';
    templateTexts["app.en"] = '<bean:message key="app.en"/>';
    templateTexts["app.fr"] = '<bean:message key="app.fr"/>';
    templateTexts["data.upload.metadata.contact.mail"] = '<bean:message key="data.upload.metadata.contact.mail"/>';
    templateTexts["data.access.extract.short"] = '<bean:message key="data.access.extract.short"/>';
    templateTexts["data.upload.short"] = '<bean:message key="data.upload.short"/>';

    templateTexts["app.credits"] = '<bean:message key="app.credits"/>';
    templateTexts["app.mentions"] = '<bean:message key="app.mentions"/>';
    templateTexts["app.infos"] = '<bean:message key="app.infos"/>';

    // Needed texts if you use the library LoginButton.js
    var loginTexts = $A( "" );
    loginTexts["app.connexion"] = '<bean:message key="app.connexion"/>';
    loginTexts["data.authentification.login"] = '<bean:message key="data.authentification.login"/>';
    loginTexts["data.authentification.pwd"] = '<bean:message key="data.authentification.pwd"/>';
    loginTexts["data.authentification.sign"] = '<bean:message key="data.authentification.sign"/>';
    loginTexts["data.authentification.pwdForget"] = '<bean:message key="data.authentification.pwdForget"/>';
    loginTexts["data.authentification.loginForget.help"] = '<bean:message key="data.authentification.loginForget.help"/>';
    loginTexts["data.authentification.loginForget"] = '<bean:message key="data.authentification.loginForget"/>';
    loginTexts["errors.logon.notFound"] = "<bean:message key='errors.logon.notFound' arg0="<%=Context.getWebmaster( request )%>"/>";
    loginTexts["errors.logon.failed"] = "<bean:message key='errors.logon.failed' arg0="<%=Context.getWebmaster( request )%>"/>";
    loginTexts["app.admin"] = '<bean:message key="app.admin"/>';
    loginTexts["data.authentification.text"] = "<bean:message key="data.authentification.text"/>";

    var interfaceTemplate = new InterfaceTemplate();
</script>

<div style="visibility:hidden"><a href="http://apycom.com/">Apycom jQuery Menus</a></div>

</BODY>
</HTML>
